<?php

namespace App\Generated\V1_1\Messages\Notice;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class UpdateNoticeByGroupMessage extends Message
{
    use ValueHelper;

    protected $group;
    protected $isOpen;

    /**
     * 群组
     * @return string
     */
    public function getGroup()
    {
        return $this->group;
    }

    /**
     * 开关
     * @return boolean
     */
    public function getIsOpen()
    {
        return $this->isOpen;
    }

    /**
     * 开关
     * @return boolean
     */
    public function isIsOpen()
    {
        return $this->isOpen;
    }

    public function requestRules()
    {
        return [
            ['group', 'group', 'bail|string', Constants::STRING, null],
            ['isOpen', 'is_open', 'bail|boolean', Constants::BOOLEAN, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
